org.gitana.platform

## Interface GitanaObject

All Superinterfaces:
  JSONable, Serializable

All Known Implementing Classes:
  GitanaObjectImpl, PaymentMethodValidation, PaymentMethodValidationError, TransferConfiguration, TransferDependency, TransferExportConfiguration, TransferImportConfiguration

    public interface GitanaObject
    extends Serializable, JSONable

Author:
  uzi

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `get(String fieldId)` Gets a field value
`com.fasterxml.jackson.databind.node.ArrayNode` `getArray(String fieldId)` Gets an array field
`com.fasterxml.jackson.databind.JsonNode` `getAsJsonNode(String fieldId)` Gets the value of a property on the object as a JsonNode.
`BigDecimal` `getBigDecimal(String fieldId)`
`boolean` `getBoolean(String fieldId)`
`double` `getDouble(String fieldId)`
`int` `getInt(String fieldId)`
`long` `getLong(String fieldId)`
`com.fasterxml.jackson.databind.node.ObjectNode` `getObject()` Hands back the underlying json object
`com.fasterxml.jackson.databind.node.ObjectNode` `getObject(String fieldId)` Gets an object field
`String` `getString(String fieldId)`
`boolean` `has(String fieldId)`
`void` `putAll(GitanaObject obj)`
`void` `putAll(com.fasterxml.jackson.databind.node.ObjectNode obj)`
`void` `remove(String fieldId)` Remove a field value
`void` `set(String fieldId, Object value)` Sets a field value

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Method Detail

#### getAsJsonNode

    com.fasterxml.jackson.databind.JsonNode getAsJsonNode(String fieldId)

Gets the value of a property on the object as a JsonNode.

Parameters:
  `fieldId` -
Returns:

#### getObject

    com.fasterxml.jackson.databind.node.ObjectNode getObject()

Hands back the underlying json object

Returns:

#### has

    boolean has(String fieldId)

Parameters:
  `fieldId` -
Returns:
  whether the document has the given field

#### get

    Object get(String fieldId)

Gets a field value

Parameters:
  `fieldId` -
Returns:
  field value or null if not found

#### set

    void set(String fieldId,
             Object value)

Sets a field value

Parameters:
  `fieldId` -
  `value` -

#### remove

    void remove(String fieldId)

Remove a field value

Parameters:
  `fieldId` -

#### getObject

    com.fasterxml.jackson.databind.node.ObjectNode getObject(String fieldId)

Gets an object field

Parameters:
  `fieldId` -
Returns:
  null if not founds

#### getArray

    com.fasterxml.jackson.databind.node.ArrayNode getArray(String fieldId)

Gets an array field

Parameters:
  `fieldId` -
Returns:
  null if not found

#### getBoolean

    boolean getBoolean(String fieldId)

#### getString

    String getString(String fieldId)

#### getInt

    int getInt(String fieldId)

#### getLong

    long getLong(String fieldId)

#### getDouble

    double getDouble(String fieldId)

#### getBigDecimal

    BigDecimal getBigDecimal(String fieldId)

#### putAll

    void putAll(com.fasterxml.jackson.databind.node.ObjectNode obj)

#### putAll

    void putAll(GitanaObject obj)